package com.caimei.model.po;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.caimei.model.vo.ProductFormVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * cm_brand_auth
 * @author 
 */
@Data
public class CmBrandAuthPo {
    private Integer id;

    /**
     * 供应商用户id
     */
    private Integer authUserId;

    /**
     * 被授权方名称
     */
    private String authParty;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区id
     */
    private Integer townId;

    /**
     * 区域
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private BigDecimal lng;

    /**
     * 纬度
     */
    private BigDecimal lat;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 对应机构用户手机号
     */
    private String userMobile;

    /**
     * 一级分类为医美=1,生美=2,项目公司=3，个人=4，其他=5
     */
    private Integer firstClubType;

    /**
     * 医美的二级分类为诊所=1、门诊=2、医院=3，其他=4。生美二级分类,美容院=5，养生馆=6，其他=7
     */
    private Integer secondClubType;

    /**
     * 医疗许可证图片
     */
    private String medicalLicenseImage;

    /**
     * 员工人数
     */
    private Integer empNum;

    /**
     * 机构logo
     */
    private String logo;

    /**
     * 是否需要自定义属性：0否，1是
     */
    private Integer customFlag;

    /**
     * 店铺备注
     */
    private String remarks;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 供应商审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer shopAuditStatus;

    /**
     * 创建人Id
     */
    private Integer createBy;

    /**
     * 删除标志：1已删除，0不是
     */
    private Integer delFlag;

    /**
     * 商品列表
     */
    private List<ProductFormVo> productList;

    /**
     * 商品参数数量最大值
     */
    private Integer maxParamNum;

}